MapObject (KML Framework API)
Keywords: org.boehn.kmlframework.todo.MapObject class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.todo
Class MapObject

    java.lang.Object
      org.boehn.kmlframework.todo.MapObject

    public class MapObject

extends java.lang.Object

Constructor Summary
`MapObject()`
`MapObject(MapObjectClass mapObjectClass)`
`MapObject(java.lang.String name)`
`MapObject(java.lang.String name, MapObjectClass mapObjectClass)`

Method Summary
`void` | `addButton(Button button)`
`void` | `addButtons(java.util.List<Button> buttons)`
`void` | `addKml(org.w3c.dom.Element parentElement, Kml model, org.w3c.dom.Document xmlDocument)`
`void` | `addKml(Kml kmlDocument, java.io.PrintWriter printWriter)`
`void` | `addMovement(TimeAndPlace movement)`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDescriptionTextWithButtons(Kml model)`
`CartesianCoordinate` | `getLocalReferenceCoordinate()`
`EarthCoordinate` | `getLocation()`
`MapObjectClass` | `getMapObjectClass()`
`java.util.List<TimeAndPlace>` | `getMovements()`
`java.lang.String` | `getName()`
`java.lang.Double` | `getRotation()`
`CartesianCoordinate` | `getScale()`
`java.lang.String` | `getSnippet()`
`java.lang.Boolean` | `getVisibility()`
`void` | `setButtons(java.util.List<Button> buttons)`
`void` | `setDescription(java.lang.String description)`
`void` | `setLocalReferenceCoordinate(CartesianCoordinate localReferenceCoordinate)`
`void` | `setLocation(EarthCoordinate earthCoordinate)`
`void` | `setMapObjectClass(MapObjectClass mapObjectClass)`
`void` | `setMovements(java.util.List<TimeAndPlace> movements)`
`void` | `setName(java.lang.String name)`
`void` | `setRotation(java.lang.Double rotation)`
`void` | `setScale(CartesianCoordinate scale)`
`void` | `setSnippet(java.lang.String snippet)`
`void` | `setVisibility(java.lang.Boolean visibility)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MapObject

    public MapObject()

### MapObject

    public MapObject(java.lang.String name)

### MapObject

    public MapObject(MapObjectClass mapObjectClass)

### MapObject

    public MapObject(java.lang.String name,
                     MapObjectClass mapObjectClass)

Method Detail

### getMapObjectClass

    public MapObjectClass getMapObjectClass()

### setMapObjectClass

    public void setMapObjectClass(MapObjectClass mapObjectClass)

### getLocalReferenceCoordinate

    public CartesianCoordinate getLocalReferenceCoordinate()

### setLocalReferenceCoordinate

    public void setLocalReferenceCoordinate(CartesianCoordinate localReferenceCoordinate)

### getRotation

    public java.lang.Double getRotation()

### setRotation

    public void setRotation(java.lang.Double rotation)

### getScale

    public CartesianCoordinate getScale()

### setScale

    public void setScale(CartesianCoordinate scale)

### getVisibility

    public java.lang.Boolean getVisibility()

### setVisibility

    public void setVisibility(java.lang.Boolean visibility)

### setButtons

    public void setButtons(java.util.List<Button> buttons)

### addButton

    public void addButton(Button button)

### addButtons

    public void addButtons(java.util.List<Button> buttons)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getDescriptionTextWithButtons

    public java.lang.String getDescriptionTextWithButtons(Kml model)

### getLocation

    public EarthCoordinate getLocation()

### setLocation

    public void setLocation(EarthCoordinate earthCoordinate)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getSnippet

    public java.lang.String getSnippet()

### setSnippet

    public void setSnippet(java.lang.String snippet)

### addKml

    public void addKml(Kml kmlDocument,
                       java.io.PrintWriter printWriter)

### addKml

    public void addKml(org.w3c.dom.Element parentElement,
                       Kml model,
                       org.w3c.dom.Document xmlDocument)
                throws KmlException

  Throws:
    `KmlException`

### getMovements

    public java.util.List<TimeAndPlace> getMovements()

### setMovements

    public void setMovements(java.util.List<TimeAndPlace> movements)

### addMovement

    public void addMovement(TimeAndPlace movement)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD